Subject: Ticket Assigned - Landmark Group
From: Splash <[email-masked]>
To: [email-masked]
Date: Sat, 19 Nov 2022 12:00:48 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group Order number 9595390666

This order was placed on 13th Nov 
Till 18th NOV the status showed processing 

And now I am getting message that the order is been returned.
Upon calling customer service I am told that 3 delivery attempts were made ,

I received 1 WhatsApp message asking to share the location 
After sharing the location no reply by the delivery guy or no  any calls .

I have the proof of conversation with that delivery person 
His number 
+971 55 780 9864

Really bad service not acceptable https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5300201